package emps;

import java.io.File;
import java.io.FileNotFoundException;
import java.util.Scanner;

public class Nieobiektowo_WypiszDane {

	// Program czyta plik emps.csv i dla każdego pracownika wypisuje
	// imię, nazwisko, salary
	// Podejście nieobiektowe. Cały program w main: od czytania linii z pliku, po dostęp do danych.
	public static void main(String[] args) {		
		try(Scanner scanner = new Scanner(new File("pliki/emps.csv"))) {
			while(scanner.hasNextLine()) {
				String linia = scanner.nextLine();
				String[] t = linia.split(";");
				
				// System.out.println(java.util.Arrays.toString(t));
				System.out.println("Pracownik " + t[1] + " " + t[2] + " zarabia " + t[4]);
			}
		} catch (FileNotFoundException e) {
			e.printStackTrace();
		}
	}

}
